## edu.stanford.nlp.util
Interface FileProcessor

All Known Implementing Classes:
  MemoryTreebank

    public interface FileProcessor

Interface for a Visitor pattern for Files. This interface is used by some existing code, but new code should probably use FileArrayList or FileSequentialCollection, which fit better with the Collections orientation of recent Java releases.

Author:
  Christopher Manning

Method Summary
`void` `processFile(File file)` Apply this predicate to a `File`.

Method Detail

### processFile

    void processFile(File file)

  Apply this predicate to a `File`. This method can assume the `file` is a file and not a directory.

  See Also:
    `for traversing directories`

Stanford NLP Group